## orange-spectroscopy 0.6.10

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Orange3ExampleAdd-on.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Orange3ExampleAdd-on.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Orange3ExampleAdd-on"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Orange3ExampleAdd-on"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
orange-spectroscopy (0.6.10-4) unstable; urgency=medium

  * Add a .desktop file.
  * Drop runtime dependency on pip.

 -- Roland Mas <lolando@debian.org>  Tue, 24 Oct 2023 21:13:46 +0200

orange-spectroscopy (0.6.10-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 15 Aug 2023 14:52:31 +0200

orange-spectroscopy (0.6.10-2) unstable; urgency=medium

  * Add missing copyright holders and licenses to debian/copyright.

 -- Roland Mas <lolando@debian.org>  Fri, 11 Aug 2023 17:46:07 +0200

orange-spectroscopy (0.6.10-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Wed, 02 Aug 2023 03:23:04 +0200

=== debian/control ===
Source: orange-spectroscopy
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Jerome Kieffer <jerome.kieffer@esrf.fr>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all,
               python3-sphinx,
	       python3-recommonmark,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/Quasars/orange-spectroscopy
Vcs-Browser: https://salsa.debian.org/science-team/orange-spectroscopy
Vcs-Git: https://salsa.debian.org/science-team/orange-spectroscopy.git
Rules-Requires-Root: no

Package: python3-orange-spectroscopy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-orange3
Description: Extends Orange to handle spectral and hyperspectral analysis
 Orange add-on for spectral data analysis. Provides spectra and
 hyperspectra plotting, interpolation, preprocessing (cutting, smoothing,
 normalization), and integration. Supports common spectral file formats.
 .
 Features
 --------
 ### Load and process data
  * Load the spectroscopy data
  * Preprocess and interpolate spectra
  * Integrate spectra
  * Average spectra
  * Performs Fast Fourier Transform
 .
 ### Visualisation
  * Visually explore series of spectra
  * Plots 2D map of hyperspectra

Package: python-orange-spectroscopy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the orange-spectroscopy Python library
 This package provides documentation for orange-spectroscopy

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=orange-spectroscopy
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd doc && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
version=4
# try also https://pypi.debian.net/orange-spectroscopy/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/orange-spectroscopy/orange-spectroscopy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## orange-spectroscopy 0.7.2

=== debian/changelog ===
orange-spectroscopy (0.7.2-2) unstable; urgency=medium

  * Update build-depends.
  * Fix running of testsuite to fix "FTBFS: AttributeError:
    'TestCommonIndpSamplesMixin' object has no attribute 'preprocessors'",
    thanks to Santiago Vila (Closes: #1085956).

 -- Roland Mas <lolando@debian.org>  Fri, 01 Nov 2024 12:15:41 +0100

orange-spectroscopy (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 22 Oct 2024 14:21:51 +0200

orange-spectroscopy (0.7.1-2) unstable; urgency=medium

  * Add Depends: python3-renishawwire.

 -- Roland Mas <lolando@debian.org>  Tue, 22 Oct 2024 14:10:06 +0200

orange-spectroscopy (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing Build-Depends.
  * Run testsuite at build-time and during autopkgtests.

 -- Roland Mas <lolando@debian.org>  Fri, 04 Oct 2024 18:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,37 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Jerome Kieffer <jerome.kieffer@esrf.fr>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Roland Mas <lolando@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               pybuild-plugin-pyproject, python3-setuptools,
-               python3-all,
-               python3-sphinx,
-	       python3-recommonmark,
+ Roland Mas <lolando@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-agilent-format <!nocheck>,
+ python3-all,
+ python3-anyqt <!nocheck>,
+ python3-bottleneck <!nocheck>,
+ python3-colorcet <!nocheck>,
+ python3-extranormal3 <!nocheck>,
+ python3-h5py <!nocheck>,
+ python3-lmfit <!nocheck>,
+ python3-numpy <!nocheck>,
+ python3-orange-canvas-core <!nocheck>,
+ python3-orange-widget-base <!nocheck>,
+ python3-orange3 <!nocheck>,
+ python3-pebble <!nocheck>,
+ python3-pil <!nocheck>,
+ python3-pyqtgraph <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-subtests <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
+ python3-recommonmark,
+ python3-renishawwire <!nocheck>,
+ python3-scipy <!nocheck>,
+ python3-serverfiles <!nocheck>,
+ python3-setuptools,
+ python3-sklearn <!nocheck>,
+ python3-spectral <!nocheck>,
+ python3-sphinx,
 Standards-Version: 4.6.2.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/Quasars/orange-spectroscopy
@@ -21,7 +46,12 @@
 
 Package: python3-orange-spectroscopy
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-orange3
+Depends:
+ python3-agilent-format,
+ python3-orange3,
+ python3-renishawwire,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Extends Orange to handle spectral and hyperspectral analysis
  Orange add-on for spectral data analysis. Provides spectra and
  hyperspectra plotting, interpolation, preprocessing (cutting, smoothing,
@@ -43,6 +73,6 @@
 Package: python-orange-spectroscopy-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends},
 Description: documentation for the orange-spectroscopy Python library
  This package provides documentation for orange-spectroscopy

## orange-spectroscopy 0.8.1+git20250328

=== debian/changelog ===
orange-spectroscopy (0.8.1+git20250328-4) unstable; urgency=medium

  * Tighten build-dependency on orange3 to fix FTBFS due to changes in
    Numpy 2 (Closes: #1104653).

 -- Roland Mas <lolando@debian.org>  Sun, 04 May 2025 15:14:23 +0200

orange-spectroscopy (0.8.1+git20250328-3) unstable; urgency=medium

  * Bug fix: "autopkgtest failures on riscv64 and s390x", thanks to Adrian
    Bunk (Closes: #1102502). 

 -- Roland Mas <lolando@debian.org>  Thu, 10 Apr 2025 20:04:03 +0200

orange-spectroscopy (0.8.1+git20250328-2) unstable; urgency=medium

  * Increase timeout in testcase to cope with slower architectures.
  * Also allow small numerical errors in testcase, to cope with various
    implementations of floating-point calculus.

 -- Roland Mas <lolando@debian.org>  Sat, 29 Mar 2025 13:49:45 +0100

orange-spectroscopy (0.8.1+git20250328-1) unstable; urgency=medium

  * New upstream snapshot
  * Tighten versioned dependency on python3-lmfit
  * These two actions fix: "FTBFS: AssertionError: Arrays are not almost
    equal to 4 decimals", thanks to Santiago Vila (Closes: #1100816).

 -- Roland Mas <lolando@debian.org>  Fri, 28 Mar 2025 17:57:47 +0100

orange-spectroscopy (0.8.1-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Team upload.
  * Cherry-pick upstream patch for numpy 2 compatibility (Closes: #1095364).

  [ Roland Mas ]
  * Add missing Build-Depends

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 15:07:04 +0100

orange-spectroscopy (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sun, 26 Jan 2025 19:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,14 @@
  python3-colorcet <!nocheck>,
  python3-extranormal3 <!nocheck>,
  python3-h5py <!nocheck>,
- python3-lmfit <!nocheck>,
+ python3-lmfit (>> 1.3.3-1~) <!nocheck>,
  python3-numpy <!nocheck>,
  python3-orange-canvas-core <!nocheck>,
  python3-orange-widget-base <!nocheck>,
- python3-orange3 <!nocheck>,
+ python3-orange3 (>= 3.38.1-5~) <!nocheck>,
  python3-pebble <!nocheck>,
  python3-pil <!nocheck>,
+ python3-pyqt5.qtsvg <!nocheck>,
  python3-pyqtgraph <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-subtests <!nocheck>,
@@ -48,6 +49,7 @@
 Architecture: all
 Depends:
  python3-agilent-format,
+ python3-lmfit (>> 1.3.3-1~),
  python3-orange3,
  python3-renishawwire,
  ${misc:Depends},
@@ -73,6 +75,8 @@
 Package: python-orange-spectroscopy-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends},
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: documentation for the orange-spectroscopy Python library
  This package provides documentation for orange-spectroscopy

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=orange-spectroscopy
+export PYBUILD_TEST_ARGS=--verbosity=2 -k "not Mixin"
+
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/Quasars/orange-spectroscopy/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
